{
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "flint",
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{tastyrock:tag}"
            },
            {
              "function": "minecraft:set_name",
              "entity": "this",
              "name": {
                "text": "Tasty Rock"
              },
              "target": "item_name"
            },
            {
              "function": "minecraft:set_lore",
              "entity": "this",
              "lore": [
                {
                  "text": "Lightly seasoned, Hard to swallow",
                  "color": "gray"
                }
              ],
              "mode": "append"
            },
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:food": {
                  "nutrition": 3,
                  "saturation": 1,
                  "can_always_eat": true
                },
                "minecraft:consumable": {
                  "consume_seconds": 2,
                  "sound": "minecraft:block.stone.step"
                }
              }
            }
          ]
        }
      ]
    }
  ]
}